Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

List payment reference numbers

This API endpoint allows users to retrieve the payment reference numbers (PRNs) associated with an invoice. Only one PRN is allowed per payment type. You can use the invoice_id or the payment_reference_number[number] to retrieve the PRN.

Sample Request

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/invoices/payment_reference_numbers

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

Filter Params

For operator usages, see the Pagination and Filtering section.
id[<operator>]

optional, string filter

An unique identifier for the invoice serves that links the invoice to the corresponding payment reference number (PRN). Note: To retrieve the PRN, the API requires either the invoice ID or the payment reference number to be provided by the user. If both values are missing, an error will be returned by the API. Supported operators : is, is_not, starts_with, in, not_in

Example → id[is] = "old_inv_001"

Supported operators: is, in
Example → old_inv_001
payment_reference_number

Parameters for payment_reference_number

pass parameters as payment_reference_number[<param name>][<operator>]

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

Payment reference number object
Resource object representing payment_reference_number